.carte{
    display : inline-grid;
    grid-template-columns: minmax(330px, 162px) minmax(330px, 162px);
    grid-template-areas:
            'card1 card2';
}

.cards {
    border:3px solid black;
    display : inline-grid;
    grid-template-columns: auto;
    /*width:660px;*/
}

.logo {
    grid-area: header;
    background-size:contain;
    background-repeat:no-repeat;
    height:50px;
    margin-right:80px
}
.info {
    grid-area: main;
    font-size:15px;
    padding-top:15px;
    padding-left:20px;
    margin-right:-100px;
    padding-bottom: 2px;
    overflow-wrap: break-word;
    word-wrap: break-word;
    hyphens: auto;
    height:95px; /* or whatever width you want. */
    max-height:95px; /* or whatever width you want. */
    display: inline-block;
}

.h3e, .pe {
    margin : 0;
}

.droite{
    grid-area: right;
    float:right;
    display: grid;
    grid-template-columns:  minmax(105px, 105px)  ;
    grid-template-rows:  minmax(80px, 80px)  ;
    grid-template-areas:
            'district'
            'qrcode';
    position: relative;
}
.qrcode {
    width:100%;
    height:90%;
    grid-area: qrcode;
    float:right;
    background-color:blue;
    position: absolute;
    bottom: 5px;
    right:-3px;
}

img{
    background-size:contain;
    background-repeat:no-repeat;
    width:100%;
    height:100%;
}

.codeMenageQr {
    grid-area: footer;
    display:flex;
    justify-content: left;
    align-items: center;
    text-align:center;
    font-size:25px;
    font-weight:bold;
}

.code{
    height:100%;
    width:100%;
}

.colle{
    grid-area:colle;
    background-color: #CACACA;
}

.margin{
    margin-left:20px;
}

.margin1{
    margin-left:8px;
}

.sary1{
    grid-area: sary1;
}
.sary2{
    grid-area: sary2;
}
.sary3{
    grid-area: sary3;
}
.sary4{
    grid-area: sary4;
}

.un{
    grid-area:un;
}
.deux{
    grid-area:deux;
}
.trois{
    grid-area:trois;
}
.quatre{
    grid-area:quatre;
}

.card1{
    grid-area: card1;
    width:330px;
    display: grid;
    grid-template-columns:  minmax(54px, 54px) minmax(54px, 54px) minmax(54px, 54px) minmax(54px, 54px) minmax(54px, 54px) minmax(54px, 54px) ;
    grid-template-areas:
    'header header header  right right colle '
    'main main main  right  right colle'
    'footer footer  footer footer footer colle';
    box-sizing: border-box;
}

.chiffre{
    margin-top:20px;
    font-size: 30px;
    font-weight: bold;
}

.vide{
    grid-area: vide;
}

.card2{
    grid-area: card2;
    width:330px;
    display: grid;
    grid-template-columns:  minmax(66px, 54px) minmax(66px, 54px) minmax(66px, 54px) minmax(66px, 54px) minmax(66px, 54px) ;
    grid-template-areas:
    'un deux trois quatre colle'
    'sary1 sary2 sary3 sary4 colle'
    'vide vide vide vide colle';
    box-sizing: border-box;
    text-align:center;
    -webkit-print-color-adjust: exact;
}

.sary {
    background-size: contain;
    background-repeat: no-repeat;
    border-radius: 50%;
    border: 1px solid black;
    width: 54px;
    height: 54px;
}

.im{
    padding-top:5.5px;
     width:80%;
     height:80%;
 }

.districtQr {
    grid-area: district;
    text-align:right;
    margin-left:-75px;
    margin-top:2px;
    margin-right:-5px;
    margin-bottom: 15px;
}

.pe {
    font-weight: bold;
}

.demo {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    animation-duration: 3s;
    animation-name: fontwsizes;
    animation-iteration-count: infinite;
}

.reset {
    line-height: inherit !important;
}